/**
 * Admin Enqueue Script
 *
 * @package     wpsyncsheets-for-gravityforms
 */

(function($) {
	"use strict";
	$( document ).ready(
		function(){
			"use strict";
			$( "#authlink" ).on(
				"click",
				function(e){
					$( '#authbtn' ).hide();
					document.getElementById( "authtext" ).style.display = "inline-block";
				}
			);
			$( "#revoke" ).on(
				"click",
				function(e){
					document.getElementById( "authtext" ).style.display     = "none";
					document.getElementById( "client_token" ).style.display = "none";
				}
			);
			$( "#reset_settings" ).on(
				"click",
				function(e){
					e.preventDefault();

					jQuery.ajax(
						{
							url : admin_ajax_object.ajaxurl,
							type : 'post',
							data :"action=wpssg_reset_settings",
							beforeSend:function(){
								if (confirm( "Are you sure you want to reset settings?" )) {

								} else {
									return false;
								}
							},
							success : function( response ) {
								if (String( response ) === 'successful') {
									location.reload();
								} else {
									alert( response );
								}
							},
							error: function (s) {
								alert( 'Error' );
							}
						}
					);
				}
			);
			$( '.wpssg-support' ).parent().attr( 'target','_blank' );
		}
	);

	$( document ).ready(
		function(){
			"use strict";
			var activeTab = getParameterByName( 'tab' );
			var classNm;
			if ( activeTab != null) {
				var classNm = "button." + activeTab;
				if ( jQuery( classNm ).is( ':disabled' )) {
					var classNm = "button.em-settings";
					wpssgTab( event, 'em-settings' );
				} else {
					wpssgTab( event, activeTab );
				}
				jQuery( classNm ).addClass( 'active' );
			} else {
				classNm = "button.googleapi-settings";
				if ( jQuery( classNm ).is( ':disabled' )) {
					var classNm = "button.em-settings";
					wpssgTab( event, 'em-settings' );
				}
				jQuery( classNm ).addClass( 'active' );
			}
		}
	);

	$( document ).ready(
		function(){
			"use strict";
			$( '#licence_submit' ).on(
				'click',
				function(e){
					e.preventDefault();
					$( '.wpssg-license-result' ).html( '' );
					$( '#licence_submit' ).hide();
					$( '#licenceloader' ).show();
					$( '#licencetext' ).show();
					wpssgLicenseCheck( 'activate' );
				}
			);
			$( "#submission_date_format" ).keyup(
				function(e) {
					e.preventDefault();
					setTimeout(
						function(){
							wpssgdatepreview();
						},
						700
					);
				}
			);
		}
	);
})( jQuery );
function wpssgTab(evt, tabName) {
	var i, tabContent, tabLinks;
	tabContent    = document.getElementsByClassName( "tabcontent" );
	tabcontentlen = tabContent.length;
	for (i = 0; i < tabcontentlen; i++) {
		tabContent[i].style.display = "none";
	}
	tabLinks   = document.getElementsByClassName( "tablinks" );
	tablinklen = tabLinks.length;
	for (i = 0; i < tablinklen; i++) {
		tabLinks[i].className = tabLinks[i].className.replace( " active", "" );
	}
	document.getElementById( tabName ).style.display = "block";
	var type = typeof event;
	if (type !== 'undefined') {
		evt.currentTarget.className += " active";
	}
}
function getParameterByName(name, url) {
	if ( ! url) {
		url = window.location.href;
	}
	name        = name.replace( /[\[\]]/g, '\\$&' );
	var regex   = new RegExp( '[?&]' + name + '(=([^&#]*)|&|#|$)' ),
		results = regex.exec( url );
	if ( ! results) {
		return null;
	}
	if ( ! results[2]) {
		return '';
	}
	return decodeURIComponent( results[2].replace( /\+/g, ' ' ) );
}
function wpssgLicenseCheck( action ) {
	if ( jQuery( '#ws_envato' ).val() == '' ) {
		jQuery( '.wpssg-license-result' ).html( '<div class="error"><p>Please enter Envato API Token</p></div>' );
		jQuery( '#licenceloader' ).hide();
		jQuery( '#licencetext' ).hide();
		jQuery( '#licence_submit' ).show();
		return false;
	}
	var data = {
		action: 'wpssg_' + action + '_license',
		api_key: jQuery( '#ws_envato' ).val(),
		wpnonce	: jQuery( '#_wpnonce' ).val()
	};
	jQuery.post(
		admin_ajax_object.ajaxurl,
		data,
		function ( response ) {
			var html;
			if ( ! response || response == - 1 ) {
				html = 'Please enter valid Envato API Token';
			} else if ( response && response.message && response.result
			&& (response.result == '-3' || response.result == '-2'
			|| response.result == 'wp_error' || response.result == 'server_error') ) {
				html = response.message;
			} else if ( response && response.message && response.result && (response.result == '4') ) {
				html = response.message;
			} else {
				html = '';
			}
			jQuery( '.wpssg-license-result' ).html( html );
			jQuery( '#licenceloader' ).hide();
			jQuery( '#licencetext' ).hide();
			jQuery( '#licence_submit' ).show();
		},
		'json'
	)
		.always( function ( response ) {} );
}
function wpssgCopy( id, targetid ) {
		var copyText   = document.getElementById( id );
		var textArea   = document.createElement( "textarea" );
		textArea.value = copyText.textContent;
		document.body.appendChild( textArea );
		textArea.select();
		document.execCommand( "Copy" );
		textArea.remove();
}
function wpssgdatepreview(){
	jQuery( '#previewloader' ).show();
	var dataformat       = jQuery( "#submission_date_format" ).val();
	var sync_nonce_token = admin_ajax_object.sync_nonce_token;
	jQuery.ajax(
		{
			url : admin_ajax_object.ajaxurl,
			type : 'post',
			data :"action=wpssg_getdate_preview&dateformat=" + dataformat + "&sync_nonce_token=" + sync_nonce_token,
			success : function( response ) {
				jQuery( "#wpssg_preview" ).html( response );
				jQuery( '#previewloader' ).hide();
			},
			error: function (s) {
				jQuery( '#previewloader' ).hide();
			}
		}
	);
}
