/**
 * Synchronize entries.
 *
 * @package     wpsyncsheets-for-gravityforms
 */

/**
 * Single Entry Sync.
 */
( function( $ ) {
		"use strict";
		$( document ).ready(
			function() {
				$( '.field_id-sync_button .gform_google_single_entry_sync_btn' ).on(
					'click',
					function( e ){
						e.preventDefault();
						var formId  = getUrlParameter( 'id' );
						var entryId = $( this ).closest( "tr" ).attr( "data-id" );
						syncData( formId,entryId );
					}
				);

				function syncData(formId,entryId){
					var trId = 'entry_row_' + entryId;
					var wpssg_admin_ajax_object, sync_nonce_token;
					if (typeof admin_ajax_object === 'undefined') {
						wpssg_admin_ajax_object = ajaxurl;
					} else {
						wpssg_admin_ajax_object = admin_ajax_object.ajaxurl;
						sync_nonce_token        = admin_ajax_object.sync_nonce_token;
					}

					$( '#' + trId + ' .syncbtnloader' ).show();
					$( '#' + trId + ' .gform_google_single_entry_sync_btn' ).hide();

					$.ajax(
						{
							url : wpssg_admin_ajax_object,
							type : 'post',

							data :"action=wpssg_sync_single_entry_data&form_id=" + formId + "&entry_id=" + entryId + "&sync_nonce_token=" + sync_nonce_token,
							success : function( response ) {
								if (response === 'successful') {
									alert( 'Sync Successfully' );
									$( '#' + trId + ' .syncbtnloader' ).hide();
									$( '#' + trId + ' .gform_google_single_entry_sync_btn' ).css( "display", "inline-block" );
								} else {
									alert( 'Your Google Sheets API limit has been reached. Please take a look at our FAQ.' );
									$( '#' + trId + ' .syncbtnloader' ).hide();
									$( '#' + trId + ' .gform_google_single_entry_sync_btn' ).css( "display", "inline-block" );
								}
							}
						}
					)
						.fail(
							function() {
								alert( 'Error' );
								$( '#' + trId + ' .syncbtnloader' ).hide();
								$( '#' + trId + ' .gform_google_single_entry_sync_btn' ).css( "display", "inline-block" );
							}
						);
				}

				$( '#gform_metabox_sync_btn' ).on(
					'click',
					function( e ){
						e.preventDefault();
						var formId  = getUrlParameter( 'id' );
						var entryId = getUrlParameter( 'lid' );

						var wpssg_admin_ajax_object, sync_nonce_token;
						if (typeof admin_ajax_object === 'undefined') {
							wpssg_admin_ajax_object = ajaxurl;
						} else {
							wpssg_admin_ajax_object = admin_ajax_object.ajaxurl;
							sync_nonce_token        = admin_ajax_object.sync_nonce_token;
						}

						$( '#gform_metabox_syncbtnloader' ).show();
						$( '#gform_metabox_sync_btn' ).attr( 'disabled',true );

						$.ajax(
							{
								url : wpssg_admin_ajax_object,
								type : 'post',

								data :"action=wpssg_sync_single_entry_data&form_id=" + formId + "&entry_id=" + entryId + "&sync_nonce_token=" + sync_nonce_token,// sync_single_entry.
								success : function( response ) {
									if (response === 'successful') {
										alert( 'Sync Successfully' );
										$( '#gform_metabox_syncbtnloader' ).hide();
										$( '#gform_metabox_sync_btn' ).attr( 'disabled',false );
									} else {
										alert( 'Your Google Sheets API limit has been reached. Please take a look at our FAQ.' );
										$( '#gform_metabox_syncbtnloader' ).hide();
										$( '#gform_metabox_sync_btn' ).attr( 'disabled',false );
									}
								}
							}
						)
						.fail(
							function() {
								alert( 'Error' );
								$( '#gform_metabox_syncbtnloader' ).hide();
								$( '#gform_metabox_sync_btn' ).attr( 'disabled',false );
							}
						);
					}
				);

				function getUrlParameter(sParam) {
					var sPageURL            = window.location.search.substring( 1 ),
						sURLVariables       = sPageURL.split( '&' ),
						sURLVariableslength = sURLVariables.length,
						sParameterName,
						i;
					for (i = 0; i < sURLVariableslength; i++) {
						sParameterName = sURLVariables[i].split( '=' );

						if (sParameterName[0] === sParam) {
							return sParameterName[1] === undefined ? true : decodeURIComponent( sParameterName[1] );
						}
					}
				};

			}
		);
} )( jQuery );
